MAI Transcribe 1.5

Azure Speech transcription for files, captions, and cost-sensitive audio analysis.

Text

MAI STT technical docs

Endpoint, auth header, parameters, prices, and tested request examples for MAI Transcribe 1.5.

Endpoint

Endpoint and pricing

POST /audio/transcriptions Endpoint https://api.imole.app/v1 Base URL 20 API cauris 20 Agent cauris
Headers

Request headers

Authorization required

Bearer Imole API key.

Content-Type required

Use application/json for URL/base64 requests or multipart/form-data for file uploads.

Parameters

Request parameters

model required

Use mai-transcribe-1.5.

file required

Audio file to transcribe.

audio_url

Remote audio URL.

audio_base64

Base64 audio.

language_code

Optional locale hint.

transcribe_style

Transcript style.

readable, verbatim
keyterms

Vocabulary bias terms.

api_version

Azure Speech LLM API version override.

Examples

Tested request examples

Upload file
curl -X POST "https://api.imole.app/v1/audio/transcriptions" \
  -H "Authorization: Bearer $IMOLE_API_KEY" \
  -F "model=mai-transcribe-1.5" \
  -F "file=@reference.mp3" \
  -F "language_code=fr-FR" \
Remote audio URL
curl -X POST "https://api.imole.app/v1/audio/transcriptions" \
  -H "Authorization: Bearer $IMOLE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "mai-transcribe-1.5",
  "audio_url": "https://imole.app/docs-samples/reference.mp3",
  "language_code": "fr-FR"
}'
Remote audio with verbatim style
curl -X POST "https://api.imole.app/v1/audio/transcriptions" \
  -H "Authorization: Bearer $IMOLE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "mai-transcribe-1.5",
  "audio_url": "https://imole.app/docs-samples/reference.mp3",
  "language_code": "fr-FR",
  "transcribe_style": "verbatim",
  "keyterms": [
    "Imole"
  ]
}'